Subject: Re: bug#44592: In sh-script-mode, should the syntax of . and / be made symbol?

From: Kévin Le Gouguec <[email-masked]>
Date: Sun, 29 Aug 2021 23:22:44 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Kévin Le Gouguec <[email-masked]> writes:
>
>> -            (progn (skip-syntax-backward ".w_'")
>> +            (progn (skip-syntax-backward ".w_'){(}")
>
> I don't think that's quite correct -- { and } aren't syntax classes.
> But just adding ( and ) seems to make the test case indent correctly, so
> I've now pushed that to the trunk.

Ah, right!  I had naively used C-u C-x = to check what syntax classes {
and } belonged to, and that told me "(}" and "){", respectively.

Thanks for your amendment!